/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */
/* connection-list.h
 *
 * Copyright (C) 2005 Takuo KITAME.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Author: Takuo KITAME.
 *
 */

#ifndef __CONNECTION_LIST_H__
#define __CONNECTION_LIST_H__

#include "peercast.h"

#include <gnome.h>

class ConnectionList
{
public:
	ConnectionList (GtkWidget *);
	~ConnectionList (void) {
		debug_print (1, "Delete object: ConnectionList");
	}
	void setServent (Servent *);
	void deleteServent (Servent *);

	void stopSelected (void);

	GtkTreeView *getTreeView (void) { return treeview; };
	GtkTreeSelection *getSelection (void) { return selection; };

	Servent *selectedServent (void);

private:
	GtkTreeSelection *selection;
	GtkTreeView *treeview;
};

#endif

