
#ifndef __LOGVIEW_H__
#define __LOGVIEW_H__

#include "sys.h"

#include <gnome.h>
#include "utils.h"


class LogString
{
public:
    LogString (LogBuffer::TYPE, const char *);
    ~LogString (void) {
        g_free(data);
    }
    LogBuffer::TYPE type;
    char *data;
};

class LogView
{
public:
    LogView (GtkWidget *);
    ~LogView (void) {
        debug_print (1, "Delete object: LogView");
        if (scroll_src) g_source_remove (scroll_src);
    }

    void scrollToEnd (void);
    void appendLog (LogBuffer::TYPE, const gchar *);
    static void appendLog_s (gpointer);
    void clearLog (void);
    void init (GtkWidget *);

private:
    GtkTextView *textview;
    gint scroll_src;
};




#endif
